Delete checkout fee
curl --request DELETE \
--url https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees/{checkoutFeeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees/{checkoutFeeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payments-settings/2027-03-beta/payments-settings/checkout-fees/{checkoutFeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Configuración de pagos
Delete checkout fee
Remove a specific checkout fee from the payments settings in your HubSpot account. This operation is useful for managing and updating the fees associated with checkout processes. Ensure you have the necessary permissions to perform this action.
DELETE
/
commerce
/
payments-settings
/
2027-03-beta
/
payments-settings
/
checkout-fees
/
{checkoutFeeId}
Delete checkout fee
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
payments-checkout-settings-write
Parámetros de ruta
The unique identifier of the checkout fee to delete.
Respuesta
No content
Última modificación el 6 de octubre de 2026